---
# defaults file for zero-app-gitlab
images:
  gitlab: "{{ lookup('env','APOLLO_APP_GITLAB_IMAGES_GITLAB') | default('gitlab/gitlab-ce:latest', true) }}"
  db: "{{ lookup('env','APOLLO_APP_GITLAB_IMAGES_DB') | default('postgres:11', true) }}"
  redis: "{{ lookup('env','APOLLO_APP_GITLAB_IMAGES_DB') | default('sameersbn/redis:latest', true) }}"
gitlab_domain: "{{ lookup('env','GITLAB_DOMAIN') | default('gitlab.'+arc['space']['space_domain'], true) }}"
gitlab_registry_domain: "{{ lookup('env','GITLAB_REGISTRY_DOMAIN') | default('registry.'+arc['space']['space_domain'], true) }}"
gitlab_ssh_port: "{{ lookup('env','GITLAB_SSH_PORT') | default('2222', true) }}"
gitlab_db_host: "{{ lookup('env','GITLAB_DB_HOST') | default('postgres', true) }}"
gitlab_db_port: "{{ lookup('env','GITLAB_DB_PORT') | default('5432', true) }}"
gitlab_db_name: "{{ lookup('env','GITLAB_DB_NAME') | default('gitlab', true) }}"
gitlab_db_user: "{{ lookup('env','GITLAB_DB_USER') | default('gitlab', true) }}"
gitlab_db_password: "{{ lookup('env','GITLAB_DB_PASSWORD') | default('gitlab', true) }}"
gitlab_smtp_host: "{{ lookup('env','GITLAB_SMTP_HOST') | default(arc['smtp']['server'], true) }}"
gitlab_smtp_port: "{{ lookup('env','GITLAB_SMTP_PORT') | default(arc['smtp']['port'], true) }}"
gitlab_smtp_user_name: "{{ lookup('env','GITLAB_SMTP_USER_NAME') | default(arc['smtp']['user'], true) }}"
gitlab_smtp_password: "{{ lookup('env','GITLAB_SMTP_PASSWORD') | default(arc['smtp']['password'], true) }}"
gitlab_smtp_domain: "{{ lookup('env','GITLAB_SMTP_DOMAIN') | default(gitlab_domain, true) }}"
gitlab_email_from: "{{ lookup('env','GITLAB_SMTP_FROM') | default('gitlab@'+arc['space']['space_domain'], true) }}"
gitlab_email_display_name: "{{ lookup('env','GITLAB_EMAIL_DISPLAY_NAME') | default(arc['space']['name']+' GitLab', true) }}"
gitlab_email_reply_to: "{{ lookup('env','GITLAB_EMAIL_REPLY_TO') | default('gitlab@'+arc['space']['space_domain'], true) }}"
gitlab_incoming_email_email: "{{ lookup('env','GITLAB_INCOMING_EMAIL_EMAIL') | default(gitlab_smtp_user_name, true) }}"
gitlab_incoming_email_address: "{{ gitlab_incoming_email_email.split('@')[0]+'+%{key}'+'@'+gitlab_incoming_email_email.split('@')[1] | default(gitlab_incoming_email_email, true) }}"
gitlab_incoming_email_password: "{{ lookup('env','GITLAB_INCOMING_EMAIL_PASSWORD') | default(gitlab_smtp_password, true) }}"
gitlab_incoming_email_host: "{{ lookup('env','GITLAB_INCOMING_EMAIL_HOST') | default(gitlab_smtp_host, true) }}"
gitlab_incoming_email_port: "{{ lookup('env','GITLAB_INCOMING_EMAIL_PORT') | default('993', true) }}"
gitlab_incoming_email_ssl: "{{ lookup('env','GITLAB_INCOMING_EMAIL_SSL') | default('true', true) }}"
gitlab_incoming_email_start_tls: "{{ lookup('env','GITLAB_INCOMING_EMAIL_START_TLS') | default('false', true) }}"
gitlab_incoming_email_enabled: "{{ lookup('env','GITLAB_INCOMING_EMAIL_ENABLED') | default('false', true) }}"